package com.unipi.talepis.demo5678;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.app.ActivityCompat;

import android.Manifest;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {
    Button button2, button3;
    EditText editText;
    TextView textView1;
    private static final int REQ_CODE = 674;
    @Override
    protected void onStart() {
        super.onStart();
        Log.i("message","On Start event!");
    }

    @Override
    protected void onPause() {
        super.onPause();
        Log.i("message","On Pause event!");
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.i("message","On create event!");
        setContentView(R.layout.activity_main);
        button2 = findViewById(R.id.button2);
        button3 = findViewById(R.id.button3);
        editText = findViewById(R.id.editText);
        textView1 = findViewById(R.id.textView1);
        button2.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                /*TextView textView1 = findViewById(R.id.textView1);
                textView1.setText("University of Piraeus!");*/
                giveMePermission();
            }
        });
        button3.setOnClickListener((v)->{
            /*TextView textView1 = findViewById(R.id.textView1);
            textView1.setText("Department of Informatics!");*/
            Intent intent = new Intent(this,Main2Activity.class);
            intent.putExtra("mymessage1",editText.getText().toString());
            startActivity(intent);
            //startActivity(new Intent(this, Main2Activity.class));
        });
    }
    public void press(View view){
        TextView textView1 = findViewById(R.id.textView1);
        textView1.setText(editText.getText().toString());
    }

    @Override
    public void onRequestPermissionsResult(int requestCode, @NonNull String[] permissions, @NonNull int[] grantResults) {
        super.onRequestPermissionsResult(requestCode, permissions, grantResults);
        if (requestCode==REQ_CODE && grantResults[0]==PackageManager.PERMISSION_GRANTED)
            // Εδώ κάνουμε τη δουλειά που θέλουμε με το permission που πήραμε
            textView1.setText("X1,Y1");
        else
            Toast.makeText(this, "Please I really need this permission...",Toast.LENGTH_LONG).show();
    }

    private void giveMePermission(){
        if (ActivityCompat.checkSelfPermission(this,
                Manifest.permission.ACCESS_FINE_LOCATION) == PackageManager.PERMISSION_DENIED){
            ActivityCompat.requestPermissions(this,new String[]{Manifest.permission.ACCESS_FINE_LOCATION},REQ_CODE);
        }
        else
            Toast.makeText(this, "Location Permission already granted!",Toast.LENGTH_LONG).show();
    }

}


